Kerbal Space Program - Bug #13714

Astronauts Lose Abilities and Levels when they Go MIA in Career Mode
01/31/2017 01:48 AM - ASittingDuck

Status: Closed Start date: 01/31/2017
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.3.0

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

After a kerbal like Jebediah goes MIA and then is resurrected while playing in career mode, his previously gained experience does
not come back with him. In addition he doesn't seem to gain any more experience through regular activities that he had previous
completed such as orbiting Kerbin, orbiting and landing on Mun and Minmus, The abilities that he had in terms of maneuvers vector
hotkeys are not available for use either.

History

#1 - 01/31/2017 01:59 AM - ASittingDuck

How to Replicate (or what happened on my occurrence): Get a Kerbal up a level (assumed any level but occured when my Kerbal was at level 3 -
pilot), in my case | also had other kerbal tourists in a lander type craft and was attempting to land. Landed on Mun but tipped over. Tried to fly off and
ended up running in the surface of the Mun. Could not revert as this was me coming back to this mission after closing the game (possible other bug if
that isn't the way the game is designed). After waiting for pilot to respawn and adding him to the mission, found that all previous levels' abilities had
been lost. Attempted to "start over" by having pilot orbit Kerbin, and no change in experience was gained. No other abilities other than stability assist
are available when having this pilot (Jeb) fly a vehicle.

#2 - 06/24/2017 10:48 PM - bewing
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

The punishment for getting dead and resurrected is that they still lose all their experience. But now they start regaining it again properly.

#3 - 06/15/2019 02:55 AM - nestor
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#4 - 06/17/2019 07:03 PM - chris.fulton

- Status changed from Resolved to Closed
